/* default | info: https://css-tricks.com/css-cascade-layers/ */

@layer framework, components, theme, custom;
@layer framework.important, framework.bootstrap, framework.fancybox, framework.selector-two, framework.selector-two.bootstrap, framework.datepicker3, framework.local;

@import url('https://cdn.jsdelivr.net/npm/@fancyapps/ui@5.0/dist/carousel/carousel.css') layer(framework.fancybox);
@import url('https://cdn.jsdelivr.net/npm/@fancyapps/ui@5.0/dist/carousel/carousel.dots.css') layer(framework.fancybox);
@import url('https://cdn.jsdelivr.net/npm/@fancyapps/ui@5.0/dist/fancybox/fancybox.css') layer(framework.fancybox);
@import url('https://cdnjs.cloudflare.com/ajax/libs/bootstrap-datepicker/1.9.0/css/bootstrap-datepicker3.min.css') layer(framework.datepicker3);
@import url('https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha3/dist/css/bootstrap.min.css') layer(framework.bootstrap);
@import url('https://cdn.jsdelivr.net/npm/select2@4.0.13/dist/css/select2.min.css') layer(framework.selector-two);
@import url('https://cdn.jsdelivr.net/npm/select2-bootstrap-5-theme@1.3.0/dist/select2-bootstrap-5-theme.min.css') layer(framework.selector-two.bootstrap);

@import url('/css/theme.css') layer(theme);
@import url('/css/dxp-forms.css') layer(theme);
@import url('/css/dxp-variables.css') layer(custom); /* TODO: Make obsolete */
@import url('/css/components.css') layer(components);
@import url('/css/dxp-packages.min.css') layer(components);
@import url('/css/dxp-component-tools.css') layer(custom); /* TODO: Make obsolete */

@layer framework.local {
    /* most of our normal framework overrides can live here */
    /*#region | Component | Image */
    .dxp-component-image figure {
        margin-bottom: 0;
    }
    /* #endregion */
}

@layer framework.important {
    /* add !important styles in a lower layer,  */
    /* to override any !important framework styles */

    /*#region  | Component | Icons */
    .dxp-component-icons__item .bi-chevron-right {
        border-top-right-radius: unset !important;
    }

    .dxp-component-icons__item-icon.align-self-center {
        margin-bottom: 0 !important;
    }
    /*#endregion */



    /*#region | Sollflow | Job - Macro */
    .dxp-component-banner__item--macro-job-search > .container > .row {
        margin-top: 5px !important;
        margin-bottom: 5px !important;
    }

    .dxp-component-banner__item--macro-job-search .card .dxp-macro-job-search__title {
        margin-bottom: 1rem !important;
    }

    @media (min-width: 992px) {
        .dxp-component-banner__item--macro-job-search .col-lg-6 {
            max-width: 480px !important;
        }
    }
    /*#endregion */

    /*#region | Sollflow | STP Job application info */
    @media (min-width: 992px) {
        .dxp-page-job-application__info {
            padding-top: .5rem !important;
            padding-bottom: .5rem !important;
        }
    }
    /*#endregion */

    /*#region | Component | Events */
    .dxp-component-events__search {
        margin-bottom: 0 !important;
    }

    .dxp-component-events__filters-active:has(.dxp-component-events__filters-active-item) {
        padding-bottom: 16px !important;
    }

    .dxp-component-events.dxp-component-events--hide-card .dxp-component-events__item:not(:last-child) .card {
        /*border-bottom: 1px solid var(--bs-light) !important;*/
        /*padding-bottom: var(--bs-card-spacer-y) !important;*/
    }

    .dxp-component-events.dxp-component-events--hide-card .dxp-component-events__item-image {
        /*border-radius: 4px !important;*/
    }

    .dxp-component-events__item-link {
        /*color: var(--bs-white) !important;*/
    }

        .dxp-component-events__item-link:hover,
        .dxp-component-events__item-link:focus,
        .dxp-component-events__item-link:active {
            /*color: var(--bs-white) !important;*/
        }

    .dxp-component-events__item-link {
        padding: 0;
        font-size: 1rem;
        font-weight: 600 !important;
        line-height: 1.4;
        transition: all .15s ease;
    }

        .dxp-component-events__item-link:hover {
            color: var(--bs-primary-hover) !important;
        }

        .dxp-component-events__item-link:focus {
            box-shadow: none;
            text-decoration: underline;
        }

        .dxp-component-events__item-link:active {
            color: var(--bs-primary-active) !important;
        }

        .dxp-component-events__item-link > i {
            --fa: "\f061" !important;
            --fa--fa: "\f061\f061" !important;
            --bs-btn-border-radius: 30px;
            width: 2rem;
            height: 2rem;
            border-radius: var(--bs-btn-border-radius);
            padding: 0.5rem;
            background-color: var(--bs-primary);
            color: var(--bs-white);
            transition: .27s ease all;
        }

        .dxp-component-events__item-link:hover > i {
            background-color: var(--bs-primary-hover);
        }

        .dxp-component-events__item-link:active > i {
            background-color: var(--bs-primary-active);
        }

        .dxp-component-events__item-link:focus {
            box-shadow: none;
            text-decoration: underline;
        }

    .dxp-component-events__item--featured .dxp-component-events__item-title {
        display: -webkit-box !important;
        -webkit-line-clamp: 2;
        -webkit-box-orient: vertical;
        overflow: hidden;
    }

    @media (max-width: 991.98px) {
        .dxp-component-events__item--horizontal .dxp-component-events__item-image {
            border-top-right-radius: var(--bs-border-radius) !important;
            border-top-left-radius: var(--bs-border-radius) !important;
            border-bottom-left-radius: 0 !important;
            position: relative !important;
        }
    }

    .dxp-component-events__search-date i:before {
        color: rgba(var(--bs-body-color-rgb), .65);
        font-size: 13px;
        vertical-align: middle;
    }
    /*#endregion */
}